libwps_OLE::WPSOLEStream Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
libwps_OLE::WPSOLEStream Class Referencefinal

internal class used to create a RVNGInputStream from an OLE file More...

Inheritance diagram for libwps_OLE::WPSOLEStream:

## Public Member Functions
| WPSOLEStream (RVNGInputStreamPtr &input)
| constructor More...
| ~WPSOLEStream () final
| destructor More...
const unsigned char * | read (unsigned long, unsigned long &) final
| ! reads numbytes data. More...
long | tell () final
| returns actual offset position More...
int | seek (long, librevenge::RVNG_SEEK_TYPE) final
| seeks to a offset position, from actual, beginning or ending position More...
bool | isEnd () final
| returns true if we are at the end of the section/file More...
bool | isStructured () final
| returns true if the stream is ole More...
unsigned | subStreamCount () final
| returns the number of sub streams. More...
const char * | subStreamName (unsigned id) final
| returns the ith sub streams name More...
bool | existsSubStream (const char *name) final
| returns true if a substream with name exists More...
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) final
| return a new stream for a ole zone More...
librevenge::RVNGInputStream * | getSubStreamById (unsigned id) final
| return a new stream for a ole zone More...

## Protected Attributes
RVNGInputStreamPtr | m_input
| the main input More...
std::vector< std::string > | m_streamNameList
| return the name list More...

## Private Member Functions
| WPSOLEStream (const WPSOLEStream &)=delete
WPSOLEStream & | operator= (const WPSOLEStream &)=delete

## Detailed Description

internal class used to create a RVNGInputStream from an OLE file

## Constructor & Destructor Documentation

## ◆ WPSOLEStream() [1/2]

libwps_OLE::WPSOLEStream::WPSOLEStream | ( | RVNGInputStreamPtr & | input | ) |
| inlineexplicit

constructor

## ◆ ~WPSOLEStream()

libwps_OLE::WPSOLEStream::~WPSOLEStream | ( |  | ) |
| inlinefinal

destructor

## ◆ WPSOLEStream() [2/2]

libwps_OLE::WPSOLEStream::WPSOLEStream | ( | const WPSOLEStream & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ existsSubStream()

bool libwps_OLE::WPSOLEStream::existsSubStream | ( | const char * | name | ) |
| inlinefinal

returns true if a substream with name exists

## ◆ getSubStreamById()

librevenge::RVNGInputStream* libwps_OLE::WPSOLEStream::getSubStreamById | ( | unsigned | id | ) |
| inlinefinal

return a new stream for a ole zone

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libwps_OLE::WPSOLEStream::getSubStreamByName | ( | const char * | name | ) |
| final

return a new stream for a ole zone

## ◆ isEnd()

bool libwps_OLE::WPSOLEStream::isEnd | ( |  | ) |
| inlinefinal

returns true if we are at the end of the section/file

## ◆ isStructured()

bool libwps_OLE::WPSOLEStream::isStructured | ( |  | ) |
| inlinefinal

returns true if the stream is ole

## ◆ operator=()

WPSOLEStream& libwps_OLE::WPSOLEStream::operator= | ( | const WPSOLEStream & |  | ) |
| privatedelete

## ◆ read()

const unsigned char* libwps_OLE::WPSOLEStream::read | ( | unsigned | long,
|  | unsigned long & |
| ) |  |
| inlinefinal

! reads numbytes data.

Returns
  a pointer to the read elements

## ◆ seek()

int libwps_OLE::WPSOLEStream::seek | ( | long | ,
|  | librevenge::RVNG_SEEK_TYPE |
| ) |  |
| inlinefinal

seeks to a offset position, from actual, beginning or ending position

Returns
  0 if ok

## ◆ subStreamCount()

unsigned libwps_OLE::WPSOLEStream::subStreamCount | ( |  | ) |
| inlinefinal

returns the number of sub streams.

## ◆ subStreamName()

const char* libwps_OLE::WPSOLEStream::subStreamName | ( | unsigned | id | ) |
| inlinefinal

returns the ith sub streams name

## ◆ tell()

long libwps_OLE::WPSOLEStream::tell | ( |  | ) |
| inlinefinal

returns actual offset position

## Member Data Documentation

## ◆ m_input

RVNGInputStreamPtr libwps_OLE::WPSOLEStream::m_input
| protected

the main input

## ◆ m_streamNameList

std::vector<std::string> libwps_OLE::WPSOLEStream::m_streamNameList
| protected

return the name list

The documentation for this class was generated from the following file:

- WPSOLEStream.cpp